Package org.picocontainer.injectors

# Class AbstractInjector.UnsatisfiableDependenciesException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.picocontainer.PicoException
org.picocontainer.PicoCompositionException
org.picocontainer.injectors.AbstractInjector.UnsatisfiableDependenciesException

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `AbstractInjector<T>`

public static class AbstractInjector.UnsatisfiableDependenciesException extends PicoCompositionException
Exception thrown when some of the component's dependencies are not satisfiable.

Author:
  Aslak Hellesøy, Mauro Talevi
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`UnsatisfiableDependenciesException(String message)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UnsatisfiableDependenciesException

public UnsatisfiableDependenciesException(String message)